#!/usr/bin/env fish

echo "
set datafile separator \",\"
set xlabel '$argv[1]'
set ylabel '$argv[3]'
set term png
set output '$argv[5]'
set title '$argv[6]'
set key outside right

plot \
'0.00.avg' using $argv[2]:$argv[4] title '0.00' pt 5,\
'0.02.avg' using $argv[2]:$argv[4] title '0.02' pt 5,\
'0.04.avg' using $argv[2]:$argv[4] title '0.04' pt 5,\
'0.06.avg' using $argv[2]:$argv[4] title '0.06' pt 5,\
'0.08.avg' using $argv[2]:$argv[4] title '0.08' pt 5,\
'0.10.avg' using $argv[2]:$argv[4] title '0.10' pt 5,\
'0.12.avg' using $argv[2]:$argv[4] title '0.12' pt 5,\
'0.14.avg' using $argv[2]:$argv[4] title '0.14' pt 5,\
'0.16.avg' using $argv[2]:$argv[4] title '0.16' pt 5,\
'0.18.avg' using $argv[2]:$argv[4] title '0.18' pt 5,\
'0.20.avg' using $argv[2]:$argv[4] title '0.20' pt 5
" | gnuplot
